## python-django-csp 3.8

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Django-CSP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Django-CSP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Django-CSP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Django-CSP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-django-csp 3.5

=== debian/changelog ===
python-django-csp (3.5-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * Add patch to rename setup.cfg section to 'tool:pytest' (Closes: #950055).
  * Bump debhelper version to 12.
  * Bump Standards-Version to 4.5.0.
  * Set Rules-Requires-Root: no.
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Feb 2020 21:50:03 +0100

python-django-csp (3.5-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Feb 2019 11:30:48 +0100

python-django-csp (3.4-1) unstable; urgency=low

  * Initial release (Closes: #906891).

 -- Michael Fladischer <fladi@debian.org>  Tue, 21 Aug 2018 19:24:37 +0200

=== debian/control ===
Source: python-django-csp
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.5.0
Homepage: https://github.com/mozilla/django-csp/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-csp
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-csp.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-django-csp-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Content Security Policy for Django (Documentation)
 django-csp adds Content-Security-Policy headers to Django applications. It
 provides a middleware that takes care of setting the correct header values and
 has several configuration settings to create custom policies.
 .
 This package contains the documentation.

Package: python3-django-csp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-csp-doc,
Description: Content Security Policy for Django (Python3 version)
 django-csp adds Content-Security-Policy headers to Django applications. It
 provides a middleware that takes care of setting the correct header values and
 has several configuration settings to create custom policies.
 .
 This package contains the Python 3 version of the library.

## python-django-csp 3.7

=== debian/changelog ===
python-django-csp (3.7-3) unstable; urgency=medium

  * Add patch for Django 4 compatibility (Closes: #1013555).
  * Bump Standards-Version to 4.6.1.0.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sat, 30 Jul 2022 21:49:13 +0000

python-django-csp (3.7-2) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-django-csp-doc: Add Multi-Arch: foreign.

  [ Diego M. Rodriguez ]
  * d/tests: specify import name

  [ Michael Fladischer ]
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.
  * Use uscan version 4.
  * Enable upstream testsuite for autopkgtests.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Wed, 03 Nov 2021 16:18:18 +0000

python-django-csp (3.7-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.

 -- Michael Fladischer <fladi@debian.org>  Thu, 15 Oct 2020 11:45:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: python-django-csp
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
@@ -13,11 +13,10 @@
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/mozilla/django-csp/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-csp
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-csp.git
-Testsuite: autopkgtest-pkg-python
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-csp
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-csp.git
 Rules-Requires-Root: no
 
 Package: python-django-csp-doc
@@ -26,6 +25,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Content Security Policy for Django (Documentation)
  django-csp adds Content-Security-Policy headers to Django applications. It
  provides a middleware that takes care of setting the correct header values and

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-django-csp-$1/ \
https://github.com/mozilla/django-csp/tags \
/mozilla/django-csp/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-django-csp 3.8

=== debian/changelog ===
python-django-csp (3.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1073413)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Refresh patch: replace PEP8 & Flakes by Ruff
  * Remove obsolete patch, fixed upstream
  * Add build-dependency on pybuild-plugin-pyproject
  * Add build-dependency on python3-sphinx-rtd-theme

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 13:19:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.1.0
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.7.0
 Homepage: https://github.com/mozilla/django-csp/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-csp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-csp.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-csp

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-csp-doc/usr/share/doc/python-django-csp-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean
